/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package kr.co.kihyun.beans.entity;

import kr.co.kihyun.moumi.MoumiConfig;

/**
 *
 * @author bhs
 */
public enum Foundation {

	NULL(""),                                                                                   //0.
	NATIONAL(MoumiConfig.getMessageBundle().getString("moumi.message.foundation.national")),    //1.국립
	PUBLIC(MoumiConfig.getMessageBundle().getString("moumi.message.foundation.public")),        //2.공립
	PRIVATE(MoumiConfig.getMessageBundle().getString("moumi.message.foundation.private")),      //3.사립
	OUTSIDE(MoumiConfig.getMessageBundle().getString("moumi.message.foundation.outside")),      //4.국외
	DUMMY5("DUMMY5"),                                                                           //5.DUMMY5
	DUMMY6("DUMMY6"),                                                                           //6.DUMMY6
	DUMMY7("DUMMY7"),                                                                           //7.DUMMY7
	DUMMY8("DUMMY8"),                                                                           //8.DUMMY8
	ETC(MoumiConfig.getMessageBundle().getString("moumi.message.foundation.others"));           //9.기타
	private String name;

	private Foundation(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return this.name;
	}
}
